/**
 *
 *
 *  @author Björn Hase
 *  @license hhttps://www.gnu.org/licenses/gpl-3.0.en.html GPL-3
 *  @link https://gitea.node001.net/HerrHase/potato-launcher.git
 *
 */

import TagsDatabase from './../database/tags.js'
import observable from '@riotjs/observable'

export default observable({

    /**
     *  getting all apps
     *
     */
    get() {
        const tagsDatabase = new TagsDatabase()

        tagsDatabase.find().then((data) => {
            this.trigger('ready', data)
        })
    }
})